OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.Evaluators

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVEvaluators :: MonadIO m => m Bool
- gl_NV_evaluators :: Bool
- pattern GL_EVAL_2D_NV :: GLenum
- pattern GL_EVAL_FRACTIONAL_TESSELLATION_NV :: GLenum
- pattern GL_EVAL_TRIANGULAR_2D_NV :: GLenum
- pattern GL_EVAL_VERTEX_ATTRIB0_NV :: GLenum
- pattern GL_EVAL_VERTEX_ATTRIB10_NV :: GLenum
- pattern GL_EVAL_VERTEX_ATTRIB11_NV :: GLenum
- pattern GL_EVAL_VERTEX_ATTRIB12_NV :: GLenum
- pattern GL_EVAL_VERTEX_ATTRIB13_NV :: GLenum
- pattern GL_EVAL_VERTEX_ATTRIB14_NV :: GLenum
- pattern GL_EVAL_VERTEX_ATTRIB15_NV :: GLenum
- pattern GL_EVAL_VERTEX_ATTRIB1_NV :: GLenum
- pattern GL_EVAL_VERTEX_ATTRIB2_NV :: GLenum
- pattern GL_EVAL_VERTEX_ATTRIB3_NV :: GLenum
- pattern GL_EVAL_VERTEX_ATTRIB4_NV :: GLenum
- pattern GL_EVAL_VERTEX_ATTRIB5_NV :: GLenum
- pattern GL_EVAL_VERTEX_ATTRIB6_NV :: GLenum
- pattern GL_EVAL_VERTEX_ATTRIB7_NV :: GLenum
- pattern GL_EVAL_VERTEX_ATTRIB8_NV :: GLenum
- pattern GL_EVAL_VERTEX_ATTRIB9_NV :: GLenum
- pattern GL_MAP_ATTRIB_U_ORDER_NV :: GLenum
- pattern GL_MAP_ATTRIB_V_ORDER_NV :: GLenum
- pattern GL_MAP_TESSELLATION_NV :: GLenum
- pattern GL_MAX_MAP_TESSELLATION_NV :: GLenum
- pattern GL_MAX_RATIONAL_EVAL_ORDER_NV :: GLenum
- glEvalMapsNV :: MonadIO m => GLenum -> GLenum -> m ()
- glGetMapAttribParameterfvNV :: MonadIO m => GLenum -> GLuint -> GLenum -> Ptr GLfloat -> m ()
- glGetMapAttribParameterivNV :: MonadIO m => GLenum -> GLuint -> GLenum -> Ptr GLint -> m ()
- glGetMapControlPointsNV :: MonadIO m => GLenum -> GLuint -> GLenum -> GLsizei -> GLsizei -> GLboolean -> Ptr a -> m ()
- glGetMapParameterfvNV :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetMapParameterivNV :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glMapControlPointsNV :: MonadIO m => GLenum -> GLuint -> GLenum -> GLsizei -> GLsizei -> GLint -> GLint -> GLboolean -> Ptr a -> m ()
- glMapParameterfvNV :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glMapParameterivNV :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()

# Extension Support

glGetNVEvaluators :: MonadIO m => m Bool Source #

Is the NV_evaluators extension supported?

gl_NV_evaluators :: Bool Source #

Is the NV_evaluators extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVEvaluators` in those cases instead.

# Enums

pattern GL_EVAL_2D_NV :: GLenum Source #

pattern GL_EVAL_FRACTIONAL_TESSELLATION_NV :: GLenum Source #

pattern GL_EVAL_TRIANGULAR_2D_NV :: GLenum Source #

pattern GL_EVAL_VERTEX_ATTRIB0_NV :: GLenum Source #

pattern GL_EVAL_VERTEX_ATTRIB10_NV :: GLenum Source #

pattern GL_EVAL_VERTEX_ATTRIB11_NV :: GLenum Source #

pattern GL_EVAL_VERTEX_ATTRIB12_NV :: GLenum Source #

pattern GL_EVAL_VERTEX_ATTRIB13_NV :: GLenum Source #

pattern GL_EVAL_VERTEX_ATTRIB14_NV :: GLenum Source #

pattern GL_EVAL_VERTEX_ATTRIB15_NV :: GLenum Source #

pattern GL_EVAL_VERTEX_ATTRIB1_NV :: GLenum Source #

pattern GL_EVAL_VERTEX_ATTRIB2_NV :: GLenum Source #

pattern GL_EVAL_VERTEX_ATTRIB3_NV :: GLenum Source #

pattern GL_EVAL_VERTEX_ATTRIB4_NV :: GLenum Source #

pattern GL_EVAL_VERTEX_ATTRIB5_NV :: GLenum Source #

pattern GL_EVAL_VERTEX_ATTRIB6_NV :: GLenum Source #

pattern GL_EVAL_VERTEX_ATTRIB7_NV :: GLenum Source #

pattern GL_EVAL_VERTEX_ATTRIB8_NV :: GLenum Source #

pattern GL_EVAL_VERTEX_ATTRIB9_NV :: GLenum Source #

pattern GL_MAP_ATTRIB_U_ORDER_NV :: GLenum Source #

pattern GL_MAP_ATTRIB_V_ORDER_NV :: GLenum Source #

pattern GL_MAP_TESSELLATION_NV :: GLenum Source #

pattern GL_MAX_MAP_TESSELLATION_NV :: GLenum Source #

pattern GL_MAX_RATIONAL_EVAL_ORDER_NV :: GLenum Source #

# Functions

glEvalMapsNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type EvalTargetNV.
-> GLenum | `mode` of type EvalMapsModeNV.
-> m () |

glGetMapAttribParameterfvNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type EvalTargetNV.
-> GLuint | `index`.
-> GLenum | `pname` of type MapAttribParameterNV.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetMapAttribParameterivNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type EvalTargetNV.
-> GLuint | `index`.
-> GLenum | `pname` of type MapAttribParameterNV.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetMapControlPointsNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type EvalTargetNV.
-> GLuint | `index`.
-> GLenum | `type` of type MapTypeNV.
-> GLsizei | `ustride`.
-> GLsizei | `vstride`.
-> GLboolean | `packed` of type Boolean.
-> Ptr a | `points` pointing to `COMPSIZE(target)` elements of type `a`.
-> m () |

glGetMapParameterfvNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type EvalTargetNV.
-> GLenum | `pname` of type MapParameterNV.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(target,pname)` elements of type `GLfloat`.
-> m () |

glGetMapParameterivNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type EvalTargetNV.
-> GLenum | `pname` of type MapParameterNV.
-> Ptr GLint | `params` pointing to `COMPSIZE(target,pname)` elements of type `GLint`.
-> m () |

glMapControlPointsNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type EvalTargetNV.
-> GLuint | `index`.
-> GLenum | `type` of type MapTypeNV.
-> GLsizei | `ustride`.
-> GLsizei | `vstride`.
-> GLint | `uorder` of type `CheckedInt32`.
-> GLint | `vorder` of type `CheckedInt32`.
-> GLboolean | `packed` of type Boolean.
-> Ptr a | `points` pointing to `COMPSIZE(target,uorder,vorder)` elements of type `a`.
-> m () |

glMapParameterfvNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type EvalTargetNV.
-> GLenum | `pname` of type MapParameterNV.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(target,pname)` elements of type `CheckedFloat32`.
-> m () |

glMapParameterivNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type EvalTargetNV.
-> GLenum | `pname` of type MapParameterNV.
-> Ptr GLint | `params` pointing to `COMPSIZE(target,pname)` elements of type `CheckedInt32`.
-> m () |